org.opencv.features2d

## Class DescriptorExtractor

- java.lang.Object
- - org.opencv.features2d.DescriptorExtractor

- Deprecated.

      @Deprecated
      public class DescriptorExtractor
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AKAZE` Deprecated.
    `static int` | `BRIEF` Deprecated.
    `static int` | `BRISK` Deprecated.
    `static int` | `FREAK` Deprecated.
    `protected long` | `nativeObj` Deprecated.
    `static int` | `OPPONENT_AKAZE` Deprecated.
    `static int` | `OPPONENT_BRIEF` Deprecated.
    `static int` | `OPPONENT_BRISK` Deprecated.
    `static int` | `OPPONENT_FREAK` Deprecated.
    `static int` | `OPPONENT_ORB` Deprecated.
    `static int` | `OPPONENT_SIFT` Deprecated.
    `static int` | `OPPONENT_SURF` Deprecated.
    `static int` | `ORB` Deprecated.
    `static int` | `SIFT` Deprecated.
    `static int` | `SURF` Deprecated.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DescriptorExtractor(long addr)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DescriptorExtractor` | `__fromPtr__(long addr)` Deprecated.
    `void` | `compute(List<Mat> images, List<MatOfKeyPoint> keypoints, List<Mat> descriptors)` Deprecated.
    `void` | `compute(Mat image, MatOfKeyPoint keypoints, Mat descriptors)` Deprecated.
    `static DescriptorExtractor` | `create(int extractorType)` Deprecated.
    `int` | `descriptorSize()` Deprecated.
    `int` | `descriptorType()` Deprecated.
    `boolean` | `empty()` Deprecated.
    `protected void` | `finalize()` Deprecated.
    `long` | `getNativeObjAddr()` Deprecated.
    `void` | `read(String fileName)` Deprecated.
    `void` | `write(String fileName)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

      Deprecated.

    - #### SIFT

          public static final int SIFT

      Deprecated.
      See Also:
        Constant Field Values

    - #### SURF

          public static final int SURF

      Deprecated.
      See Also:
        Constant Field Values

    - #### ORB

          public static final int ORB

      Deprecated.
      See Also:
        Constant Field Values

    - #### BRIEF

          public static final int BRIEF

      Deprecated.
      See Also:
        Constant Field Values

    - #### BRISK

          public static final int BRISK

      Deprecated.
      See Also:
        Constant Field Values

    - #### FREAK

          public static final int FREAK

      Deprecated.
      See Also:
        Constant Field Values

    - #### AKAZE

          public static final int AKAZE

      Deprecated.
      See Also:
        Constant Field Values

    - #### OPPONENT_SIFT

          public static final int OPPONENT_SIFT

      Deprecated.
      See Also:
        Constant Field Values

    - #### OPPONENT_SURF

          public static final int OPPONENT_SURF

      Deprecated.
      See Also:
        Constant Field Values

    - #### OPPONENT_ORB

          public static final int OPPONENT_ORB

      Deprecated.
      See Also:
        Constant Field Values

    - #### OPPONENT_BRIEF

          public static final int OPPONENT_BRIEF

      Deprecated.
      See Also:
        Constant Field Values

    - #### OPPONENT_BRISK

          public static final int OPPONENT_BRISK

      Deprecated.
      See Also:
        Constant Field Values

    - #### OPPONENT_FREAK

          public static final int OPPONENT_FREAK

      Deprecated.
      See Also:
        Constant Field Values

    - #### OPPONENT_AKAZE

          public static final int OPPONENT_AKAZE

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DescriptorExtractor

          protected DescriptorExtractor(long addr)

      Deprecated.

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

      Deprecated.

    - #### __fromPtr__

          public static DescriptorExtractor __fromPtr__(long addr)

      Deprecated.

    - #### create

          public static DescriptorExtractor create(int extractorType)

      Deprecated.

    - #### empty

          public boolean empty()

      Deprecated.

    - #### descriptorSize

          public int descriptorSize()

      Deprecated.

    - #### descriptorType

          public int descriptorType()

      Deprecated.

    - #### compute

          public void compute(Mat image,
                              MatOfKeyPoint keypoints,
                              Mat descriptors)

      Deprecated.

    - #### compute

          public void compute(List<Mat> images,
                              List<MatOfKeyPoint> keypoints,
                              List<Mat> descriptors)

      Deprecated.

    - #### read

          public void read(String fileName)

      Deprecated.

    - #### write

          public void write(String fileName)

      Deprecated.

    - #### finalize

          protected void finalize()
                           throws Throwable

      Deprecated.
      Overrides:
        `finalize` in class `Object`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8